[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGridColumn.Destroy

Destructor for the class instance.

## Declaration

Source position: grids.pas line 599

`public destructor TGridColumn.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. Destroy ensures that resources allocated for members in the class instance are freed (when needed), including:

- Alignment
- Color
- Visible
- ReadOnly
- Width
- Layout
- MaxSize
- SizePriority
- MinSize
- ValueChecked
- ValueUnchecked
- PickList
- Font
- Title

Destroy calls the inherited destructor prior to exiting from the method.

## See also

TCollectionItem.Destroy